#include <bits/stdc++.h>
#include <map>
#define ll long long
/* run this program using the console pauser or add your own getch, system("pause") or input loop */
using namespace std;
int main(int argc, char** argv) {
	ll n,l;cin>>n>>l;
	vector<ll>vec(n+1);
	for(ll i=1;i<=n;i++){
		cin>>vec[i];
	}
	ll br=0;
	for(ll i=1;i<=n;i++){
		if(vec[i]<=l){
			br=i;
			break;
		}
	}
	if(br==0)cout<<-1<<endl;
	else cout<<br<<endl;
	return 0;
}